You are not logged in.

#26 2014-07-06 19:09:09

matersci
Member
From: Hellas
Registered: 2006-01-19
Posts: 159

Re: lxqt-git repository

You didn't understand, this is happening every time I download these packages.

# pacman -Sy libqtxdg-git libsysstat-git
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 archlinuxgr-any is up to date
 lxqt-git is up to date
resolving dependencies...
looking for inter-conflicts...

Packages (2): libqtxdg-git-0.5.3.17.gb3ccf52-1
              libsysstat-git-0.1.0.4.g151ef16-1

Total Download Size:    0.19 MiB
Total Installed Size:   0.63 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages ...
 libqtxdg-git-0.5.3....   164.1 KiB   184K/s 00:01 [######################]  86%
 libsysstat-git-0.1....   190.1 KiB   175K/s 00:01 [######################]  99%
(2/2) checking keys in keyring                     [######################] 100%
(2/2) checking package integrity                   [######################] 100%
:: File /var/cache/pacman/pkg/libqtxdg-git-0.5.3.17.gb3ccf52-1-i686.pkg.tar.xz is corrupted (invalid or corrupted package (checksum)).
Do you want to delete it? [Y/n] 
:: File /var/cache/pacman/pkg/libsysstat-git-0.1.0.4.g151ef16-1-i686.pkg.tar.xz is corrupted (invalid or corrupted package (checksum)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package (checksum))
Errors occurred, no packages were upgraded.

But do I really need libsysstat-git and ibqtxdg-git? I have libqtxdg-qt5-git and libsysstat-qt5-git installed

Last edited by matersci (2014-07-06 19:09:28)

Offline

#27 2014-07-06 19:30:51

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

You do not need libsysstat-git and libqtxdg-git. It's working fine with the qt5 versions, on my system at least.

those two packages will be removed tomorrow, which should stop your errors. Not sure why that is happening in the first place.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#28 2014-07-07 14:39:03

fschiff
Member
Registered: 2011-10-06
Posts: 71

Re: lxqt-git repository

I'm getting an error about not being able to import the key to the new repository. 
pacman asked me to import the key, but then errored out on not being able to import it.

Did I not do something correct, or is the problem with the repository?

EDIT: In giving the names of the repositories (core, extra, community) pacman lists lxqt-git and lxqt-git.sig as repository names.

Last edited by fschiff (2014-07-07 14:45:17)

Offline

#29 2014-07-07 14:44:08

mariojuniorjp
Member
From: João Pessoa, PB - Brasil
Registered: 2014-07-06
Posts: 15

Re: lxqt-git repository

$ sudo pacman -S qterminal
resolvendo dependências...
procurando por conflitos inter-relacionados...

Pacotes (3): libqxt-0.6.2-3  qtermwidget-git-0.4.0.33.gc12a363-2
             qterminal-git-145.fff3774-1

Tamanho total download:    0,84 MiB
Tamanho total instalado:   3,99 MiB

:: Continuar a instalação? [S/n] s
:: Obtendo pacotes ...
libqxt-0.6.2-3-x86_64    740,9 KiB  72,8K/s 00:10 [######################] 100%
qterminal-git-145.f...   123,5 KiB   361K/s 00:00 [######################] 100%
(3/3) verificando chaves no chaveiro               [######################] 100%
(3/3) verificando integridade do pacote            [######################] 100%
erro: libqxt: signature from "Matthew Stobbs <matthew@stobbstechnical.com>" is invalid
:: Arquivo /var/cache/pacman/pkg/libqxt-0.6.2-3-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] s
erro: qterminal-git: signature from "Matthew Stobbs <matthew@stobbstechnical.com>" is invalid
:: Arquivo /var/cache/pacman/pkg/qterminal-git-145.fff3774-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] s
erro: falha em submeter a transação (pacote inválido ou corrompido (assinatura PGP))
Ocorreram erros e, portanto, nenhum pacote foi atualizado.

Same error on libqxt.

Offline

#30 2014-07-07 15:40:39

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

fschiff wrote:

I'm getting an error about not being able to import the key to the new repository. 
pacman asked me to import the key, but then errored out on not being able to import it.

Did I not do something correct, or is the problem with the repository?

EDIT: In giving the names of the repositories (core, extra, community) pacman lists lxqt-git and lxqt-git.sig as repository names.

You need to manually import the key. Read https://wiki.archlinux.org/index.php/Pa … icial_keys
The key is listed on the wiki: https://wiki.archlinux.org/index.php/Un … s#lxqt-git

@mariojuniorjp Rebuilding the key for that package now. Should be available in a matter of minutes.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#31 2014-07-07 16:25:04

mariojuniorjp
Member
From: João Pessoa, PB - Brasil
Registered: 2014-07-06
Posts: 15

Re: lxqt-git repository

stobbsm wrote:
fschiff wrote:

I'm getting an error about not being able to import the key to the new repository. 
pacman asked me to import the key, but then errored out on not being able to import it.

Did I not do something correct, or is the problem with the repository?

EDIT: In giving the names of the repositories (core, extra, community) pacman lists lxqt-git and lxqt-git.sig as repository names.

You need to manually import the key. Read https://wiki.archlinux.org/index.php/Pa … icial_keys
The key is listed on the wiki: https://wiki.archlinux.org/index.php/Un … s#lxqt-git

@mariojuniorjp Rebuilding the key for that package now. Should be available in a matter of minutes.

Thanks Stob. wink

Offline

#32 2014-07-07 16:51:03

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

This is new to me, so I'm learning as I go. My scripts are woefully inadequate for the task right now, but I'm improving them.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#33 2014-07-07 18:09:50

fschiff
Member
Registered: 2011-10-06
Posts: 71

Re: lxqt-git repository

yeah, but


why does pacman think lxqt-git.sig is a repository

Offline

#34 2014-07-07 18:30:38

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

It shouldn't. It will download it everytime the repository is updated, as technically the sig atime changes each time I run rsync to the repository.

If you run pacman -Syu a couple of time, you should notice that the sig is not getting downloaded each time. If I were building the repo on the server I was using, the sig wouldn't change at all.

Can't think of a way to stop it from happening with every sync, but it happens with other repositories as well (pipelight for instance).


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#35 2014-07-07 23:03:26

fschiff
Member
Registered: 2011-10-06
Posts: 71

Re: lxqt-git repository

getting an error for pacman -S lxqt-desktop-git

error: failed retrieving file 'lxqt-config-randr-git-0.7.0.4.g8467ef1-1-x86_64.pkg.tar.xz' from repo.stobbstechnical.com : The requested URL returned error: 404 Not Found

Offline

#36 2014-07-07 23:05:38

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Update your repository data. You are a version behind and I cleaned it up this morning.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#37 2014-07-07 23:12:48

mariojuniorjp
Member
From: João Pessoa, PB - Brasil
Registered: 2014-07-06
Posts: 15

Re: lxqt-git repository

sudo pacman -S juffed
resolvendo dependências...
procurando por conflitos inter-relacionados...

Pacotes (2): qscintilla-2.8.3-2  juffed-git-0.10.20.g04350bc-1

Tamanho total download:    1,67 MiB
Tamanho total instalado:   8,06 MiB

:: Continuar a instalação? [S/n] s
:: Obtendo pacotes ...
qscintilla-2.8.3-2-...  1034,5 KiB  84,5K/s 00:12 [##############] 100%
juffed-git-0.10.20....   674,9 KiB   133K/s 00:05 [##############] 100%
(2/2) verificando chaves no chaveiro               [##############] 100%
(2/2) verificando integridade do pacote            [##############] 100%
erro: juffed-git: signature from "Matthew Stobbs <matthew@stobbstechnical.com>" is invalid
:: Arquivo /var/cache/pacman/pkg/juffed-git-0.10.20.g04350bc-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).
Deseja apagá-lo? [S/n] s
erro: falha em submeter a transação (pacote inválido ou corrompido (assinatura PGP))
Ocorreram erros e, portanto, nenhum pacote foi atualizado.


erro: screengrab-git: signature from "Matthew Stobbs <matthew@stobbstechnical.com>" is invalid
:: Arquivo /var/cache/pacman/pkg/screengrab-git-1.0.66.g79fd576-1-x86_64.pkg.tar.xz está corrompido (pacote inválido ou corrompido (assinatura PGP)).


Same error on PGP again. tongue

Last edited by mariojuniorjp (2014-07-07 23:14:33)

Offline

#38 2014-07-07 23:13:13

fschiff
Member
Registered: 2011-10-06
Posts: 71

Re: lxqt-git repository

Still get same error after pacman -Syy

Offline

#39 2014-07-07 23:29:13

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Removed and re-added the package. Should work now.

As far as juffed-git and screengrab-git go, I've verified the key. Going to try removing the key and resigning the package.

Not sure what is causing that to happen.

EDIT: Just to be safe, tried installing every package again on my laptop. Worked great. Someone please let me know about 32bit.

Last edited by stobbsm (2014-07-07 23:55:42)


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#40 2014-07-07 23:49:27

mariojuniorjp
Member
From: João Pessoa, PB - Brasil
Registered: 2014-07-06
Posts: 15

Re: lxqt-git repository

stobbsm wrote:

Removed and re-added the package. Should work now.

As far as juffed-git and screengrab-git go, I've verified the key. Going to try removing the key and resigning the package.

Not sure what is causing that to happen.

Thanks again, stob. big_smile

Offline

#41 2014-07-08 00:14:59

karol
Archivist
Registered: 2009-05-06
Posts: 25,432

Re: lxqt-git repository

mariojuniorjp, next time please run

LC_ALL=C <command>

to get the output in English.

When posting configs, code or command output, please use [ code ] tags https://bbs.archlinux.org/help.php#bbcode

like this

It makes the code more readable and - in case of longer listings - more convenient to scroll through.

Offline

#42 2014-07-29 17:54:30

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

It seems DigitalOcean is having some downtime right now, so the repo is not available. I will edit this once it is available again.


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#43 2014-07-29 18:53:40

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 812

Re: lxqt-git repository

Qterminal needs qtermwidget-git that needs qt4. Is it possible to switch to qtermwidget-qt5-git?

EDIT: nevermind, found quickterminal, that is qt5.

BTW here is my experience, if it can be useful to someone: everything is quite good, hope with 0.8 it will fix some remaining bugs:
1) automount is not working
2) battery monitor applet isn't loading itself during startup, even if it's enabled!
3) libreoffice-kde4 needs lots of stuff from kde4 ... (no lxqt bug, but usability bug)
4) simple text editor (juffed-git) needs qt4 still.
5) kate (or kate-git) has lots of kde5 deps. (again, no lxqt bug)

Btw it looks great!

Last edited by nierro (2014-07-29 20:07:48)

Offline

#44 2014-07-29 22:36:05

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

Everything seems to be working as expected now with the repo. Will do a sync with updates in a few. Juffed is being held as is for now until it starts building properly with qt5 (major errors on build right now). Dropped sddm-git in favor of sddm-qt5-git.

I thinks that's it for changes right now.

EDIT: Had to rewrite a lot of my scripts with the knowledge I have gained since starting this. Working better now. Please test, but it all seems to be functioning accordingly with the latest sync.

Last edited by stobbsm (2014-07-30 07:05:06)


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#45 2014-07-30 11:10:37

nierro
Member
From: Milan, Italy
Registered: 2011-09-02
Posts: 812

Re: lxqt-git repository

I forgot about thanksgiving... thank you very much for this repo wink
Btw has anyone a good advise to get automount working?

EDIT: still answering myself..gvfs + udisks2.

Last edited by nierro (2014-07-30 12:31:30)

Offline

#46 2014-08-01 14:50:58

Derson5
Member
From: Polska
Registered: 2010-07-29
Posts: 26

Re: lxqt-git repository

I have this error, when pulpit appearce, after SDDM log in:
2ywh3x4.png

Offline

#47 2014-08-01 14:53:33

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

@Derson5: Did you install sddm-qt5-git from the repo? Are you still using the old sddm-git, which is not using qt5? Do you have any applications set to autostart using the XDG/autostart method?


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#48 2014-08-01 23:20:09

Derson5
Member
From: Polska
Registered: 2010-07-29
Posts: 26

Offline

#49 2014-08-02 21:46:05

stobbsm
Member
From: Calgary, AB
Registered: 2010-10-10
Posts: 61
Website

Re: lxqt-git repository

What is pulpit? I havent heard of it before. Any have you checked your xorg log?


Running the lxqt-git repository. If you would like to help cover costs, consider using using my referral link to digital ocean for your next VPS deployment.
https://www.digitalocean.com/?refcode=13e0b40e4e39

Offline

#50 2014-08-03 11:02:20

Derson5
Member
From: Polska
Registered: 2010-07-29
Posts: 26

Re: lxqt-git repository

I found the problem. I uninstall lxpolkit, and everything is fine now.

Offline

Board footer

Powered by FluxBB